%define	module	cssselect

Summary:	Library for parsing CSS3 selectors and translating them to XPath 1.0
Name:		python-%{module}
Version:	0.8
Release:	%mkrel 4
Source0:	http://pypi.python.org/packages/source/c/%{module}/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://packages.python.org/cssselect/
BuildArch:	noarch
BuildRequires:	python-setuptools

%description
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%package -n python3-%{module}
Summary:	serializer for literal Python expressions
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-%{module}
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc AUTHORS CHANGES LICENSE README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc AUTHORS CHANGES LICENSE README.rst
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.8-4.mga4
+ Revision: 543046
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-3.mga4
+ Revision: 498322
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 06 2013 philippem <philippem> 0.8-2.mga4
+ Revision: 475522
- add python 3

* Fri Jun 28 2013 dams <dams> 0.8-1.mga4
+ Revision: 448090
- new version 0.8

* Mon Jan 28 2013 zezinho <zezinho> 0.6.1-1.mga3
+ Revision: 392966
- fix release tag
- spec cleanup
- imported package python-cssselect


* Tue May 08 2012 Lev Givon <lev@mandriva.org> 0.6.1-1
+ Revision: 797547
- imported package python-cssselect

